Idea ID: 2771493

The APP shouldn’t be pinned to runtime version on Arcsight Azure Monitor Eventhub .

Status : Accepted
over 1 year ago

Every time there is a minor upgrade on Azure the Arcsight Apps stops working and the following error appears:
"Unsupported Runtime Version
Your custom runtime version is not supported. As a result runtime is being used.
Cannot Upgrade with Existing Functions
Major version upgrades can introduce breaking changes to languages and bindings. When upgrading major versions of the runtime, consider creating a new function app and migrate your functions to this new app."

In order to resolve the Azure administrator has to reinstall the Arcsight APPs with a changed parameter “FUNCTIONS_EXTENSION_VERSION” to new value 2.0.12808.0 on app.properties on archive “arcsight-azure-monitor-eventhub-connector-7.13.0.zip”
Then the APP starts running with no errors but with recommendation bellow
The APP shouldn’t pinned to runtime version.
“You are currently pinned to runtime version: 2.0.12808.0. You may update to unpin and use the latest: (~2).”

Tags:

Labels:

Connectors